/* Creation d'une SESSION */
cas mySession sessopts=(caslib=casuser timeout=1800 locale="en_US");

/* Creation d'un CASLIB */
caslib myCaslib path="/home/student/Courses/PGVY01/data" libref=myCaslib;

/* Affichage des Server-Side Files d'un CASLIB */
proc casutil 
   incaslib=myCaslib;
   list files;
quit;

/* Chargement en memoire d'une table SAS Server-Side */
proc casutil;
   load casdata="orders.sas7bdat"
   incaslib="myCaslib"
   outcaslib="myCaslib"
   casout="commandes";
quit;

/* Etape Data executee sur le Serveur CAS */
Data myCaslib.Berlin_orders;
   set myCaslib.commandes;
   where Continent="Europe" and City="Berlin";
run;

/* Etape Data non executee sur le Serveur CAS */
Data work.Paris_orders(where=(RetailPrice > 100));
   set myCaslib.commandes;
   where Continent="Europe" and City="Paris";
   format Cost Words20.;
run;

/* Procedure SAS CAS Enabled executee sur le Serveur CAS */
Proc means data=myCaslib.Berlin_orders;
   var Quantity Cost;
run;

/* Procedure SAS CAS Enabled non executee sur le Serveur CAS */
Proc means data=myCaslib.Berlin_orders mean median min max;
   var Quantity Cost;
run;

/* Prendre avantage du Serveur CAS - Procedures CAS */
Proc MDSummary data=myCaslib.commandes;
   var Quantity Cost;
   groupby Continent;
   output out=myCaslib.orders_stat;
run;

